### Signal

# GUPnPAV SearchCriteriaParser::expression

#### Declaration

    gboolean
    expression (
      GUPnPSearchCriteriaParser* self,
      gchar* property,
      GUPnPSearchCriteriaOp op,
      gchar* value,
      gpointer error,
      gpointer user_data
    )

#### Description [src]

The ::expression signal is emitted whenever an expression is parsed. Set `error` and return `FALSE` if an error occurred.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`property`

  Type: `gchar*`

  The property.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`op`

  Type: `GUPnPSearchCriteriaOp`

  The operator as `GUPnPSearchCriteriaOp`.

`value`

  Type: `gchar*`

  The value as string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `gpointer`

  Place-holder for any possible errors from handler.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

No description available.